package dao;

import pojo.StudentInfo;

import java.util.ArrayList;

public interface StudentDB {
    ArrayList<StudentInfo> getAllStudentInfo();
    StudentInfo getStudentInfoByID(int id);
    StudentInfo getStudentInfoByName(String name);
    StudentInfo getStudentInfoByCode(String code);
    int addStudentInfo(StudentInfo studentInfo);
    int updateStudentInfo(StudentInfo studentInfo);
    int deleteStudentInfo(int id);
}
